Subject: Re: bug#26829: Add knot service

From: [email-masked] (Ludovic Courtès)
Date: Sun, 28 May 2017 19:34:06 +0200

Hi Julien,

Julien Lepiller <[email-masked]> skribis:

> So, pushed as ba69e8f7ce21a81bdd5b99fdb1cc64492443e15c.

Very nice and very useful notably for self-hosting use cases!

I have two minor comments:

  1. What it would it take to write tests for this?  I assume we could
     simply make DNS requests locally?

  2. For things like:

     +@item @code{nsec3-salt-lifetime} (default: @code{"30d"})

     I prefer using an integer denoting the number of seconds, and then
     letting users do the multiplication or use (string->duration "30d").
     I did that for ‘guix-publish-service’.

     Thoughts?

Thank you!

Ludo’.